[llvm] [PGO][GlobalValue][LTO]In GlobalValues::getGlobalIdentifier, use semicolon as delimiter for local-linkage varibles. (PR #74008)
Teresa Johnson via llvm-commits
llvm-commits at lists.llvm.org
Thu Nov 30 16:32:31 PST 2023
================
@@ -0,0 +1,70 @@
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+ echo "Path to clang and llvm-profdata required!"
+ echo "Usage: update_icall_promotion_inputs.sh /path/to/updated/clang /path/to/updated/llvm-profdata"
+ exit 1
+else
+ CLANG=$1
+ LLVMPROFDATA=$2
+fi
+
+# Allows the script to be invoked from other directories.
+OUTDIR=$(dirname $(realpath -s $0))
+
+# Creates trivial header file to expose global_func.
+cat > ${OUTDIR}/lib.h << EOF
+void global_func();
+EOF
+
+# Creates lib.cc. global_func might call one of two indirect callees. Both
+# indirect callees have internal linkage.
----------------
teresajohnson wrote:
Are we now missing testing of ThinLTO ICP importing for a global function? What if one of the functions was left with non-local linkage like before?
https://github.com/llvm/llvm-project/pull/74008
More information about the llvm-commits
mailing list